1. Two-step-payments
  • API Docs Chile 🇨🇱
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
      • Create payment (tokenless)
      • Make a charge or deferred charge
      • Void a transaction
      • Refund a transaction
      • Request deferred options
      • Authorize payments
      • Preauthorization (tokenless)
      • Reauthorize payments
      • Capture an authorized payment
      • Verify Account
      • Validate OTP
      • Bin Info V2
      • Bin Info
      • Voucher
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Update recurring charge card data
      • Make an One-click payment
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Authorize payments
      • Capture an authorized payment
      • Get recurring charge Info
    • Card Async
      • Request a card async token
      • Init Transaction
      • Authorize payments
      • Capture an authorized payment
      • Get Status
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Authorize payments
      • Capture an authorized payment
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
      • Get a Smartlink
      • Delete a smartlink
      • Update a Smartlink
    • Payment Button
      • Create a payment button
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Status
      • Get platform status
      • Get gateway status
    • Subscription Transactions
      • Get subscription transactions
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Settlement
      • Query settlement
  • API Raw Card Present Payments
    • Release Notes
    • Error Catalog
    • Test Data
    • Key Exchange Process
    • One-time payments
      • Single payment
    • Two-step-payments
      • Authorization and capture
        POST
    • Voids & Refunds
      • Refund a transaction
      • Void & Reverse
    • Card information
      • Get BIN Info
      • Bin Info V2
      • Request deferred options
    • Query Transactions
      • Transaction Search
    • Webhooks
      • Introduction
      • Good practices
      • Refunds
      • Card Payments
      • Check your webhooks
  • Kushki One
    • Cloud Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
      • Search
        • Transaction Search
      • Print
        • Create Print Job
        • Get Print Job Status
    • Local Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
      • Search
        • Transaction Search — Online
        • Transaction Search — Local
      • Print
        • Create Print Job
        • Get Print Job Status
        • Print Job Webhook (inbound — implemented by your POS)
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • RequestBodies
      • one-and-two-step-payment
    • documentType
    • Amount-cash-in
    • amount
    • Card
    • ChargebackListResponse
    • Channel
    • StatusComponent
    • SubscriptionTransactionsResponse
    • SettlementDateRangeRequest
    • AmountWithTaxes
    • PrintJobRequest
    • networkToken
    • extra_taxes
    • ChargebackItem
    • SubscriptionTransaction
    • SettlementTicketRequest
    • AmountCore
    • CommandText
    • webhooks
    • card
    • Amount-CL
    • webhooksItem
    • ErrorResponse400
    • SettlementResponse
    • ExtraTaxes
    • CommandColumns
    • headers
    • currency
    • Amount
    • card_details
    • ErrorResponse401
    • SettlementRecord
    • ColumnItem
    • Metadata
    • transactionType
    • enc_tlv
    • ErrorResponse403
    • ErrorResponse
    • TransactionResponse
    • CommandDivider
    • extraTaxes
    • Country
    • binInfo
    • Deferred
    • deferred
    • ErrorResponse500
    • payment_method
    • RawResponse
    • CommandFeed
    • SubscriptionUpdate
    • pos_details
    • CardData
    • CommandSpace
    • ContactDetails
    • Language
    • contact_details
    • sub_merchant
    • AmountWithTip
    • CommandCut
    • Subscription
    • metadata
    • LinkFailure
    • CommandImage
    • orderDetails
    • TransactionSearchRequest
    • CommandQR
    • Shipping Address
    • payment_submethod
    • CommandBarcode
    • Billing-Address
    • PrinterError
    • product
    • PrintJobStatus
    • threeDomainSecure
    • SubscriptionAdjustmentRequest
    • PrintWebhookPayload
    • webhooksChargeback
    • citMit
    • network
    • messageFields
    • UnexpectedErrorResponse
    • ExternalReferenceId
    • ExternalSubscriptionId
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. Two-step-payments

Authorization and capture

POST
/pos/v1/transaction
Card present payments through authorization and capture are available in the following countries:
🇨🇱 Chile
🇲🇽 Mexico
🇵🇪 Peru (Beta phase)
With this endpoint you can:
Carry out preauthorizations
Make reauthorizations
Make captures
Void preauthorizations

Supported Reading Channels#

We support the following reading channels. The fields you send to us to process a charge may differ depending on the reading type.
ICC= Integrated Circuit Card
MCR= Magnetic Card reader
MFC= Multi-Function Card

Make preauthorizations (Place a hold on card payment)#

You can retain the balance of a card to withhold a certain amount of the account.

Structure#

To make authorizations, send preAuth in the transaction_type field and Authorization in the transaction_mode field as part of the body of your request. (See full example on the right side of the screen).

Make reauthorizations#

You can extend the amount or effect of the authorization.
The currency must be the same as the authorization.
An amount of $0 can be sent in the reauthorization to extend the date of capture.
The reauthorization can be for an amount greater than the authorization.
NOTE: A reauthorization can be canceled. After performing the cancellation, no reauthorizations can be made on the canceled transaction.

Structure#

To make reauthorizations, send reAuthorization in the transaction_type field and Authorization in the transaction_mode field as part of the body of your request. (See full example on the right side of the screen).
Discover how to perform a cardless reauthorization.

Capture a payment#

Once you are required to collect the funds from the card, capture the amount you define.
The capture must be the sum of the authorization and all reauthorizations made that have not been canceled. The amount to be captured can be equal or lower than the amount authorized or reauthorized.

Structure#

To capture send capture in the transaction_type field, Authorization in the transaction_mode field and the transaction_reference of the transaction to capture as part of the body of your request (transaction_reference must be from an authorization, not from a reauthorization). (See full example on the right side of the screen).
Discover how to perform a cardless capture.

Cardless operations#

You can perform a reauthorization, capture or void without requiring the reading of the card. Below you will find out how you can carry out a cardless operation:
NOTE: You can also check the information for a cardless refund.
To perform an operation without a card it is required to send the omit_card field with the value of true in the request. The fields required for a cardless operation are the following:
PROPERTYTYPEAllowed values
amountObject
transaction_modeStringAuthorization, Void
transaction_typeStringcharge, reAuthorization, capture
client_transaction_idString
transaction_referenceString
omit_cardBooleantrue
NOTE: Cardless operations are available for Visa and Mastercard credit and debit cards in Chile and Mexico.

Example of a cardless operation#

To perform a cardless operation, the omit_card field is sent with the value of true and then the other non-required fields are omitted:
{
    "amount": {
        "currency": "MXN",
        "iva": 0.0,
        "subtotal_iva": 0.0,
        "subtotal_iva0": 600
    },
    "transaction_mode": "Authorization",
    "transaction_type": "reAuthorization",
    "client_transaction_id": "6680eadc-6c8d-44aa-8ca0-18e061c1472a",
    "transaction_reference": "f2f29080-0214-42c0-95a5-77ecf3434cd7",
    "omit_card": true
}
{
    "amount": {
        "currency": "MXN",
        "iva": 0.0,
        "subtotal_iva": 0.0,
        "subtotal_iva0": 600
    },
    "transaction_mode": "Authorization",
    "transaction_type": "capture",
    "client_transaction_id": "6680eadc-6c8d-44aa-8ca0-18e061c1472a",
    "transaction_reference": "f2f29080-0214-42c0-95a5-77ecf3434cd7",
    "omit_card": true
}
{
    "amount": {
        "currency": "MXN",
        "iva": 0.0,
        "subtotal_iva": 0.0,
        "subtotal_iva0": 600
    },
    "transaction_mode": "Void",
    "transaction_type": "charge",
    "client_transaction_id": "6680eadc-6c8d-44aa-8ca0-18e061c1472a",
    "transaction_reference": "f2f29080-0214-42c0-95a5-77ecf3434cd7",
    "omit_card": true
}

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api-uat.kushkipagos.com/pos/v1/transaction' \
--header 'Private-Credential-Id;' \
--header 'Content-Type: application/json' \
--data '{
    "card": {
        "card_holder_name": "John Doe"
    },
    "amount": {
        "iva": 0,
        "tip": 0,
        "currency": "CLP",
        "extra_taxes": {
            "iac": 0,
            "ice": 0,
            "airport_tax": 0,
            "travel_agency": 0
        },
        "subtotal_iva": 0,
        "subtotal_iva0": 600
    },
    "country": "CHL",
    "cvm_type": "none",
    "is_cashback": false,
    "pos_details": {
        "brand": "SUNMI",
        "model": "P2-EU",
        "version": "Kushki SunmiV1.1.26",
        "location": {
            "latitude": -33.4489,
            "longitude": -70.6693
        },
        "has_print": true,
        "terminal_id": "PB04216R20537"
    },
    "card_details": {
        "tracks": {
            "track_ksn": "FFFF4357486333600002",
            "enc_track2": "283587285CE10278E7FA50AD5C97CFFE87F472C9FE6406F8"
        },
        "enc_tlv": "CE447A062C49774934E42A7F826668C0C478E38402C158062EE794C0E471B43EA8CE49C256C2C8B157526B0B2BE74FC23F65E18D4F52B99A1A0910E6CCD9B11A32D6D537E2B6E2B011C89569DE6A3D53318080BC77E0E70B398ED3083FD7366CCF8FB4DBF34A116E6D52CFBEF26371878D842034E5029EF62DF235D2C427F04102E451773D9E8975978917E3BC531327702967052E239F8C592734AE14688E603C52B858FC1D97B763AE623603F1475FFFB065EC07AF7A29",
        "pin_ksn": "FFFF4357486333600002",
        "reading_type": "ICC"
    },
    "contact_details": {
        "email": "",
        "last_name": "",
        "first_name": "",
        "phone_number": "",
        "document_type": "-1",
        "document_number": "",
        "second_last_name": ""
    },
    "transaction_mode": "Authorization",
    "transaction_type": "preAuth",
    "client_transaction_id": "6680eadc-6c8d-44aa-8ca0-18e061c1472a"
}'
Response Response Example
200 - Approved preAuth transaction
{
    "additional_amounts": {
        "account_type": "",
        "amount": 0,
        "amount_type": "",
        "card_type": "",
        "currency_code": "CLP"
    },
    "authorized_amount": 601,
    "card_type": "credit",
    "cvm_type": "none",
    "F11": "101658",
    "franchise": "MASTERCARD",
    "kushki_response": {
        "code": "000",
        "message": "Transacción Aprobada."
    },
    "message_fields": {
        "F38": "890862",
        "F39": "00"
    },
    "transaction_reference": "2aa48997-a545-4bdb-8e1c-a57546f03e5f",
    "transaction_status": "APPROVAL",
    "transaction_type": "preAuth",
    "ticket_number": "111727462978861299"
}
Modified at 2026-06-05 15:42:28
Previous
Two-step-payments
Next
Voids & Refunds
Built with